### Class

# Hitaki SndMotu

#### Description [src]

    class Hitaki.SndMotu : GObject.Object
      implements Hitaki.AlsaFirewire, Hitaki.MotuCommandDsp, Hitaki.MotuRegisterDsp, Hitaki.QuadletNotification {
      /* No available fields */
    }

A GObject-derived object for sound unit of MOTU FireWire series. The `HitakiSndMotu` is an object class derived from `GObject` with protocol implementation for Mark of the Unicorn (MOTU) FireWire series supported by ALSA firewire-motu driver (`snd-firewire-motu`).

#### Ancestors

- GObject

#### Implements

- HitakiAlsaFirewire
- HitakiMotuCommandDsp
- HitakiMotuRegisterDsp
- HitakiQuadletNotification

#### Constructors

###### hitaki_snd_motu_new

Instantiate `HitakiSndMotu` object and return the instance.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from HitakiAlsaFirewire (4)

###### hitaki_alsa_firewire_create_source

Allocate `GSource` to handle events from ALSA HwDep character device.

###### hitaki_alsa_firewire_lock

Lock kernel driver bound to the associated ALSA HwDep character device so that it is prohibited to start packet streaming.

###### hitaki_alsa_firewire_open

Open the special file for ALSA HwDep character device.

###### hitaki_alsa_firewire_unlock

Unlock kernel driver bound to the associated ALSA HwDep character device so that it can start packet streaming.

##### Methods inherited from HitakiMotuCommandDsp (1)

###### hitaki_motu_command_dsp_read_float_meter

Read cached data of meter information for command DSP models.

##### Methods inherited from HitakiMotuRegisterDsp (2)

###### hitaki_motu_register_dsp_read_byte_meter

Read cached data of meter information for register DSP models.

###### hitaki_motu_register_dsp_read_parameter

Read cached parameter for register DSP models.

#### Properties

##### Properties inherited from HitakiAlsaFirewire (6)

###### HitakiAlsaFirewire:card-id

The numeric identifier for sound card.

###### HitakiAlsaFirewire:guid

Global unique identifier for the node in IEEE 1394 bus.

###### HitakiAlsaFirewire:is-disconnected

Whether the sound card is unavailable. It becomes FALSE when the sound card is removed or driver is unbound to it. Then the owner of this object should call `g_object_unref()` as quickly as possible to release ALSA hwdep character device.

###### HitakiAlsaFirewire:is-locked

Whether the associated unit is locked or not to start packet streaming.

###### HitakiAlsaFirewire:node-device

The name of node device in Linux FireWire subsystem which owns the unit; e.g. `fw1`.

###### HitakiAlsaFirewire:unit-type

The type of sound unit.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from HitakiMotuRegisterDsp (1)

###### HitakiMotuRegisterDsp::changed

Emitted when MOTU register DSP models transfer events by messages in the sequence of isochronous packet. The event consists of encoded data. The most significant byte is the type of message. The next two bytes are two identifiers. The least significant byte is value. The meaning of identifier 0, 1 and value is decided depending on the type. For detail, see `sound/firewire/motu/motu-register-dsp-message-parser.c` in Linux kernel.

##### Signals inherited from HitakiQuadletNotification (1)

###### HitakiQuadletNotification::notified

Emitted when the target unit transfers notification.

#### Class structure

    struct HitakiSndMotuClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.